## com.thingmagic
Class Gen2.WriteData

    java.lang.Object
      com.thingmagic.TagOp
          com.thingmagic.Gen2.WriteData

Enclosing class:
  Gen2

    public static class Gen2.WriteData

extends TagOp

Embedded Tag operation : Write Data

Field Summary
`Gen2.Bank` `Bank` Gen2 memory bank to write to
`short[]` `Data` Data to write
`int` `WordAddress` word address to start writing at

Constructor Summary
`Gen2.WriteData(Gen2.Bank bank, int wordAddress, short[] data)` Constructor to initialize the parameter of Write Data

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### Bank

    public Gen2.Bank Bank

  Gen2 memory bank to write to

### WordAddress

    public int WordAddress

  word address to start writing at

### Data

    public short[] Data

  Data to write

Constructor Detail

### Gen2.WriteData

    public Gen2.WriteData(Gen2.Bank bank,
                          int wordAddress,
                          short[] data)

  Constructor to initialize the parameter of Write Data

  Parameters:
    `bank` - Memory Bank to Write
    `wordAddress` - Write starting address
    `data` - the data to write